Bug 249756 - Redrawing problem exhibited with ircii-4.4Z-7
Redrawing problem exhibited with ircii-4.4Z-7
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-26 16:19 EDT by Jakub Jelinek
Modified: 2008-06-16 21:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:58:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2007-07-26 16:19:05 EDT
I have found a regression from FC6 in gnome-terminal when using ircii-4.4Z-7.i386.rpm irc client.

To reproduce, in gnome-terminal (doesn't matter if full-screen or normal
geometry) ssh to some RHEL3ish box with ircii-4.4Z-7 installed
(I have that binary unpacked e.g. on devserv in
/home/devel/jakub/bin/irc-4.4Z ) and start
/home/devel/jakub/bin/irc-4.4Z gttest devserv

On the prompt type
/join #gttest
and then start typing random lines (e.g. 10-20 'a' chars, but anything else will do too).  Normally ircii after hitting enter after each line clears the bottom
line and you start typing a new line over line filled just with
background color (at least in FC6 and earlier it was always doing that).
Now in F7 sometimes it will do the same, but sometimes that line just doesn't
get cleared, often even the cursor stays where it was (I use a blinking cursor,
a inverted box stays where it was before) and a new blinking cursor appears at the beginning of that last line.  Now typing a new text overwrites the uncleared
characters there.  Hitting Ctrl+L to redraw the screen cures this.
I have tried to reproduce this also by running the same through 2>&1 | tee foobar
and could reproduce it too, unfortunately trying to reproduce it again by
( cat foobar; sleep 10 ) was not successful, clearly this is timing related.
Comment 1 Bug Zapper 2008-05-14 09:41:43 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:58:43 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.